Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations
POSTCeph Primary Storage OperationsSince 0.6SynchronousAuth Required

AddMonToCephPrimaryStorage

AddMonToCephPrimaryStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the Ceph primary storage.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • monUrlsListRequired

      The URL list of the Ceph mon (monitor daemon).

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/primary-storage/ceph/{uuid}/mons

/zstack/v1/primary-storage/ceph/{uuid}/mons

Operation ID

AddMonToCephPrimaryStorage

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/primary-storage/ceph/{uuid}/mons' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"monUrls":["<monUrls>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history